( function( $ ) {
    $( document ).ready( function() {
        var btn = $( '.sp-assign-package' );
        if ( !btn.length ) return;

        btn.click( function () {

            serverForm( $( this ) );

        } );


        function serverForm( input ) {

            var uniqNum = input.data( 'uniqnum' );
            var docNum = input.data( 'docnum' );

            var form = $(
                '<div class="modal fade" tabindex="-1" role="dialog" labelledby="message">'+
                    '<div class="modal-dialog" role="document">'+
                        '<div class="modal-content">'+
                            '<div class="modal-header">'+
                                '<h3>' + sp_ajax_object.lang_codigo_servidor + '</h3>'+
                            '</div>'+
                            '<div class="modal-body">'+
                                '<div class="form-container">'+
                                    '<div class="form-group">'+
                                        '<input type="text" class="form-control" id="sp-server-code" placeholder="' + sp_ajax_object.lang_codigo_servidor + '">'+
                                    '</div>'+
                                '</div>'+
                            '</div>'+
                            '<div class="modal-footer">'+
                                '<button type="button" class="btn btn-primary" id="btn-form-assign-package">' + sp_ajax_object.lang_aceptar + '</button>'+
                            '</div>'+
                        '</div>'+
                    '</div>'+
                '</div>' );

            $( 'body' ).append( form );
            form.modal( 'show' );
            form.on( 'hidden.bs.modal', function (e) {
                $( this ).remove();
            } );

            form.find( '#btn-form-assign-package' ).click( function () {
                var server = form.find( '#sp-server-code' ).val();
                if ( server == '' ) {
                    form.find( '#sp-server-code' )
                        .before( '<div class="bg-danger text-danger"><p>' + sp_ajax_object.lang_ingrese_codigo_valido + '</p></div>' );
                }
                else {
                    var items = { uniqNum: uniqNum, docNum: docNum, server: server };
                    request( items );
                }
            } );

        }

        function request( items ) {
            var data = {
                action : 'sp_assign_package',
                items : items
            };
            console.log( items );
            $.post( sp_ajax_object.ajax_url, data, function( response ) {} )
                .done( function() {} )
                .fail( function() {} )
                .always( function( response ) {
                    console.log( response );
                    var newResponse = JSON.parse( response );
                    var modal = $( '.modal' );

                    if ( newResponse == 1 ) {
                        modal.find( '.modal-content' ).html( '<div class="bg-info text-info"><p>' + sp_ajax_object.lang_paquete_asignado + '</p></div>' );
                        setTimeout( function() {
                            location.reload( true );
                        }, 2000 );
                    }
                    else {
                        modal.find( '.modal-content' ).html( '<div class="bg-danger text-danger"><p>' + sp_ajax_object.lang_servidor_no_comprobado + '</p></div>' );
                    }

                } );
        }


    } );
} )( jQuery );