( function( $ ) {
    $( document ).ready( function() {
        var container = $( '.sp-toolbar' );
        if ( !container.length ) return;

        var target = $( '.result-target' );
        var inputOption = $( '#sp-filter-option' );

        inputOption.change( function () {
            var option = $( this ).val();
            $( '.sp-hide' ).fadeOut(0);
            switch ( option ) {
                case '1':
                    $( '.sp-calendar-container' ).fadeIn( 500 );
                    break;
                case '2':
                    $( '.sp-client-code-container' ).fadeIn( 500 );
                    break;
                case '3':
                    $( '.sp-doc-num-container' ).fadeIn( 500 );
                    break;
                default:
                    $( '.sp-hide' ).fadeOut( 500 );
                    break;
            }

        } );

        container.find( '.sp-filter' ).click( function () {
            var items = getItems();
            console.log( $( location ).attr( 'href' ) );
            filter( items, target, $( location ).attr( 'href' ) );

        } );

        target.on( 'click', '.sp-pagination a', function ( e ) {
            e.preventDefault();

            var link = $( this ).attr( 'href' );
            console.log( link );
            var items = getItems();

            filter( items, target, link );
        } );

        function getItems() {
            var option = $( '#sp-filter-option' ).val();
            // console.log( filterOption );
            var item = {};
            switch ( option ) {
                case '1':
                    console.log( 'opcion 1' );
                    item = {
                        initDate: $( '#sp-init-date' ).val(),
                        finalDate: $( '#sp-final-date' ).val()
                    };
                    break;
                case '2':
                    item = {
                        clientCode: $( '#sp-filter-client-code' ).val()
                    };
                    break;
                case '3':
                    item = {
                        docNum: $( '#sp-filter-doc-num' ).val()
                    };
                    break;
                default:
                    item = '';
                    break;
            }
            return item;
        }

        function filter( items, target, link ) {
            console.log( items );
            target.html( '<div class="progress" style="margin-top: 20px" id="sp-loading-bar"><div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%"><span class="sr-only">45% Complete</span></div></div>' );
            target
                .load( link + ' .table, .pagination-container', { sp_filters: items }, function( response, status, xhr ) {
                    if ( status == 'success' ) {
                        // console.log( response );
                        $( '#sp-loading-bar' ).remove();
                        console.log( response );
                    }
                    else {
                        $( '#sp-loading-bar' ).remove();
                        console.log( response );
                    }
            } );
        }

    } );
} )( jQuery );