( function( $ ) {
    $( document ).ready( function() {
        var btn = $( '.sp-pack-item' );
        if ( !btn.length ) return;

        btn.click( function () {

            serverForm( $( this ) );

        } );


        function serverForm( input ) {

            var uniqNum = input.data( 'uniqnum' );
            var docNum = input.data( 'docnum' );
            var serverId = input.data( 'serverid' );
            var form = $(
                '<div class="modal fade" tabindex="-1" role="dialog" labelledby="message">'+
                    '<div class="modal-dialog" role="document">'+
                        '<div class="modal-content">'+
                            '<div class="modal-header">'+
                                '<h3>' + sp_ajax_object_server.lang_codigo_servidor + '</h3>'+
                            '</div>'+
                            '<div class="modal-body">'+
                                '<div class="form-container">'+
                                    '<div class="form-group">'+
                                        '<input type="text" class="form-control" id="sp-server-code" placeholder="' + sp_ajax_object_server.lang_codigo_servidor + '">'+
                                    '</div>'+
                                '</div>'+
                            '</div>'+
                            '<div class="modal-footer">'+
                                '<button type="button" class="btn btn-primary" id="btn-form-assign-package">' + sp_ajax_object_server.lang_aceptar + '</button>'+
                            '</div>'+
                        '</div>'+
                    '</div>'+
                '</div>' );

            $( 'body' ).append( form );
            form.modal( 'show' );
            form.on( 'hidden.bs.modal', function (e) {
                $( this ).remove();
            } );

            form.find( '#btn-form-assign-package' ).click( function () {
                var server = form.find( '#sp-server-code' ).val();
                console.log( server + ' ' + serverId );
                if ( server != serverId || server == '' ) {
                    if ( form.find( '.bg-danger.text-danger' ).length ) {
                        form.find( '.bg-danger.text-danger' ).remove();
                    }
                    form.find( '#sp-server-code' )
                        .before( '<div class="bg-danger text-danger"><p>' + sp_ajax_object_server.lang_error_codigo_servidor + '</p></div>' );
                }
                else {
                    $( '.modal .modal-content'  ).html( '<div class="progress" style="margin-top: 20px" id="sp-loading-bar"><div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%"><span class="sr-only">45% Complete</span></div></div>' );
                    $( '.modal' ).off( 'click' );
                    var items = { uniqNum: uniqNum, docNum: docNum, server: server };
                    request( items );
                }
            } );

        }

        function request( items ) {
            var data = {
                action : 'sp_pack_item',
                items : items
            };
            console.log( items );
            $.post( sp_ajax_object_server.ajax_url, data, function( response ) {} )
                .done( function() {} )
                .fail( function() {} )
                .always( function( response ) {
                    var newResponse = JSON.parse( response );
                    console.log( newResponse );
                    var modal = $( '.modal' );
                    if ( newResponse == 1 ) {
                        btn.attr( 'disabled', 'disabled' );
                        modal.find( '.modal-content' ).html( '<div class="bg-info text-info"><p>' + sp_ajax_object_server.lang_paquete_creado_para_entrega + '</p></div>' );
                        setTimeout( function() {
                            var url = window.location;
                            location.replace( url + '&status=2' );
                        }, 2000 );
                    }
                    else {
                        modal.find( '.modal-content' ).html( '<div class="bg-danger text-danger"><p>' + sp_ajax_object_server.lang_error_al_crea_paquete_para_entrega + '</p></div>' );
                        setTimeout( function() {
                            location.reload( true );
                        }, 2000 );
                    }

                } );
        }


    } );
} )( jQuery );