<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_ajax_handler {
    /**
     * llama a la funcion create_package del modelo spackage y crea un nuevo empaque
     * @return string
     */
    public function ajax_create_package() {
        $uniq_num = $_POST[ 'items' ][ 'uniqNum' ];
        $doc_num = $_POST[ 'items' ][ 'docNum' ];
        $server = $_POST[ 'items' ][ 'server' ];
        $config = sp_utilities::get_config();


        $item = '';
        $result = 0;

        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Vta_Vta_LeerDetallesFacturaFull(
                [ "Numero" => $doc_num, "CodigoSucursal" => '00000', "_token" => $token ]
            );
            $status = json_decode( $data->Vta_Vta_LeerDetallesFacturaFullResult )->Status;
            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Vta_Vta_LeerDetallesFacturaFull(
                    [ "Numero" => $doc_num, "CodigoSucursal" => '00000', "_token" => $token ]
                );
                $item = json_decode( $data->Vta_Vta_LeerDetallesFacturaFullResult );
            }
            else {
                $item = json_decode( $data->Vta_Vta_LeerDetallesFacturaFullResult );
            }

        }
        catch( Exception $e ) {
            $errors = new sp_errors();
            $errors->error_handler( 'sdk_rule', $e );
        }

        if ( $item->Status == 0 ) {
            $item = $item->Data;

            try {
                $package = new sp_modelo_crear_empaques();
                $package->CodigoCliente = $item->CodClie;
                $package->CodigoEmpacador = $server;
                $package->CodigoUsuario = $item->CodUsua;
                $package->FechaEmpaque = date('c',time());
                $package->NumeroDocumento = $item->NumeroD;
                $package->NumeroUnico = $item->NroUnico;
                $package->TipoDocumento = $item->TipoFac;

                $client = new SoapClient( $config[ 'sdk_url' ] );
                $token = $_SESSION[ 'sp_user_token' ];
                $data = $client->Vta_Emp_CrearEmpaque(
                    [ "ParamFacturaModel" => $package, "_token" => $token ]
                );
                $status = json_decode( $data->Vta_Emp_CrearEmpaqueResult )->Status;
                if ( $status == -101 ) {
                    $session = new sp_sessions();
                    $token = $session->get_token();
                    $data = $client->Vta_Emp_CrearEmpaque(
                        [ "ParamFacturaModel" => $package, "_token" => $token ]
                    );
                    $item = json_decode( $data->Vta_Emp_CrearEmpaqueResult );
                }
                else {
                    $item = json_decode( $data->Vta_Emp_CrearEmpaqueResult );
                }

                if ( $item->Status == 0 ) {
                    global $wpdb;
                    $table_name = $wpdb->prefix . "saintpackages";
                    $query = "UPDATE $table_name SET  `status`= 2 WHERE `server_id` = $server AND `uniq_num` = $uniq_num AND `doc_num` = $doc_num";
                    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                    dbDelta( $query );
                    $result = 1;
                }
                else {
                    $result = 0;
                }

            }
            catch( Exception $e ){
                $errors = new sp_errors();
                $errors->error_handler( 'sdk_rule', $e );
            }
        }

        echo json_encode( $result );
        wp_die();
    }


    public function ajax_create_plg_table() {
        global $wpdb;
        $table_name = $wpdb->prefix . "saintpackages";
        if ( $wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name ) {
            $charset_collate = $wpdb->get_charset_collate();

            $sql = "CREATE TABLE $table_name (
                id INT(11) NOT NULL AUTO_INCREMENT,
                server_id VARCHAR(50),
                uniq_num INT(11),
                doc_num INT(11),
                status TINYINT(4),
                PRIMARY KEY (id)
            ) $charset_collate;";

            require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
            dbDelta( $sql );
            $result = 1;
        }
        else {
            $result = 0;
        }
        echo json_encode( $result );
        wp_die();
    }

    public function ajax_assign_package() {
        global $wpdb;

        $uniq_num = $_POST[ 'items' ][ 'uniqNum' ];
        $doc_num = $_POST[ 'items' ][ 'docNum' ];
        $server = $_POST[ 'items' ][ 'server' ];


        $config = sp_utilities::get_config();
        $item = '';

        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Adm_Mae_BuscarServidor(
                [ "codigoServidor" => $server, "_token" => $token ]
            );
            $status = json_decode( $data->Adm_Mae_BuscarServidorResult )->Status;
            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Adm_Mae_BuscarServidor(
                    [ "codigoServidor" => $server, "_token" => $token ]
                );
                $item = json_decode( $data->Adm_Mae_BuscarServidorResult );
            }
            else {
                $item = json_decode( $data->Adm_Mae_BuscarServidorResult );
            }
        }
        catch( Exception $e ){
            $errors = new sp_errors();
            $errors->error_handler( 'sdk_rule', $e );
        }

        if ( $item->Status == 0 ) {
            $table_name = $wpdb->prefix . "saintpackages";
            $query = "INSERT INTO $table_name VALUES( '', '$server', $uniq_num, $doc_num, 1 )";
            require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
            dbDelta( $query );

            $result = 1;

        }
        else {
            $result = 0;
        }

        echo json_encode( $result );
        wp_die();
    }

    public function ajax_filter() {
        $init_date = $_POST[ 'items' ][ 'initDate' ];
        $final_date = $_POST[ 'items' ][ 'finalDate' ];
    }

}