<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_model_package {

    /**
     * devuelve un los items para la vista
     * @return mixed
     */
    public function get_item() {

        $uniq_num = sp_utilities::sp_get_var( 'sp_item', 'get' );

        $config = sp_utilities::get_config();
        $params = new sp_parametro_comun();

        $params->ExpresionFiltro = '[ParaEmpaque] = 1 AND [NumeroUnico] = ' . $uniq_num;
        $params->RegistroInicial = 0;
        $params->RegistrosPorPagina = 20;

        $item = '';

        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Vta_Vta_LeerFacturasVenta(
                [ 'Parametros' => $params, '_token' => $token ]
            );

            $status = json_decode( $data->Vta_Vta_LeerFacturasVentaResult )->Status;

            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Vta_Vta_LeerFacturasVenta(
                    [ 'Parametros' => $params, '_token' => $token ]
                );
                $item = json_decode( $data->Vta_Vta_LeerFacturasVentaResult );
            }
            else {
                $item = json_decode( $data->Vta_Vta_LeerFacturasVentaResult );
            }

        }
        catch( Exception $e ){

            $errors = new sp_errors();
            $errors->token_error_handler();

        }

        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Vta_Vta_LeerDetallesFacturaFull(
                [ "Numero" => $item->Data[0]->Numero, "CodigoSucursal" => '00000', "_token" => $token ]
            );
            $status = json_decode( $data->Vta_Vta_LeerDetallesFacturaFullResult )->Status;
            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Vta_Vta_LeerDetallesFacturaFull(
                    [ "Numero" => $item->Data[0]->Numero, "CodigoSucursal" => '00000', "_token" => $token ]
                );
                $item = json_decode( $data->Vta_Vta_LeerDetallesFacturaFullResult );
            }
            else {
                $item = json_decode( $data->Vta_Vta_LeerDetallesFacturaFullResult );
            }
        }
        catch( Exception $e ){
            $errors = new sp_errors();
            $errors->error_handler( 'sdk_rule', $e );
        }

        return $item;

    }

    /**
     * crea un empaque
     * @param $package object modelo para el empaque
     * @return int si se crea elempaque devuelve 1 en caso contrario devulve 0
     */
    public function create_package( $package ) {
        $config = sp_utilities::get_config();
        $item = '';
        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Vta_Emp_CrearEmpaque(
                [ "ParamFacturaModel" => $package, "_token" => $token ]
            );
            $status = json_decode( $data->Vta_Emp_CrearEmpaqueResult )->Status;
            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Vta_Emp_CrearEmpaque(
                    [ "ParamFacturaModel" => $package, "_token" => $token ]
                );
                $item = json_decode( $data->Vta_Emp_CrearEmpaqueResult );
            }
            else {
                $item = json_decode( $data->Vta_Emp_CrearEmpaqueResult );
            }
        }
        catch( Exception $e ){
            $errors = new sp_errors();
            $errors->error_handler( 'sdk_rule', $e );
        }
        return $item;
    }

    /**
     * devuelve la informacion de un servidor
     * @param $id int codigo del servidor
     * @return array
     */
    public function get_server( $id ) {
        $config = sp_utilities::get_config();
        $item = '';
        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Adm_Mae_BuscarServidor(
                [ "codigoServidor" => $id, "_token" => $token ]
            );
            $status = json_decode( $data->Adm_Mae_BuscarServidorResult )->Status;
            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Adm_Mae_BuscarServidor(
                    [ "codigoServidor" => $id, "_token" => $token ]
                );
                $item = json_decode( $data->Adm_Mae_BuscarServidorResult );
            }
            else {
                $item = json_decode( $data->Adm_Mae_BuscarServidorResult );
            }
        }
        catch( Exception $e ){
            $errors = new sp_errors();
            $errors->error_handler( 'sdk_rule', $e );
        }
        return $item;
    }

}