<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_model_packages {

    /**
     * devuelve un los items para la vista
     * @return mixed si la consulta es exitoza devuelve un array en caso contrario devuelve los mensajes de error
     */
    public function get_items() {
        $items = '';
        $filters = $_REQUEST[ 'sp_filters' ];
        $assigned_packages = sp_utilities::get_assigned_packages();

        if ( isset( $_REQUEST[ 'sp_start' ] ) ) {
            $start = $_REQUEST[ 'sp_start' ];
        }
        else {
            $start = 0;
        }

        $config = sp_utilities::get_config();
        $params = new sp_parametro_comun();



        $params->ExpresionFiltro = "[ParaEmpaque] = '1'";
        $params->RegistroInicial = $start;
        $params->RegistrosPorPagina = (string) get_option( 'sp_settings' )[ 'sp_pagination' ];

        if ( isset( $filters[ 'initDate' ] ) && $filters[ 'initDate' ] != '' ) {
            $params->ExpresionFiltro .= " AND [FechaEmision] >= '" . $filters[ 'initDate' ] . "' AND [FechaEmision] <='" . $filters[ 'finalDate' ] . "'";
        }

        if ( isset( $filters[ 'clientCode' ] ) && $filters[ 'initDate' ] != '' ) {
            $params->ExpresionFiltro .= " AND [CodigoCliente] = '" . $filters[ 'clientCode' ] . "'";
        }

        if ( isset( $filters[ 'docNum' ] ) && $filters[ 'docNum' ] != '' ) {
            $params->ExpresionFiltro .= " AND [Numero] = '" . $filters[ 'docNum' ] . "'";
        }

        if ( !empty( $assigned_packages ) ) {
            $excludes = [];
            foreach ( $assigned_packages as $item ) {
                $excludes[] = "'" . $item->uniq_num . "'";
            }
            $not_in = " AND [NroUnico] NOT IN(" . implode(",", $excludes) . ")";
            $params->ExpresionFiltro .= $not_in;
        }

        try {
            $client = new SoapClient( $config[ 'sdk_url' ] );
            $token = $_SESSION[ 'sp_user_token' ];
            $data = $client->Vta_Vta_LeerFacturasVenta(
                [ 'Parametros' => $params, '_token' => $token ]
            );

            $status = json_decode( $data->Vta_Vta_LeerFacturasVentaResult )->Status;

            if ( $status == -101 ) {
                $session = new sp_sessions();
                $token = $session->get_token();
                $data = $client->Vta_Vta_LeerFacturasVenta(
                    [ 'Parametros' => $params, '_token' => $token ]
                );
                $items = json_decode( $data->Vta_Vta_LeerFacturasVentaResult );
            }
            else {
                $items = json_decode( $data->Vta_Vta_LeerFacturasVentaResult );
            }

        }
        catch( Exception $e ){
            $errors = new sp_errors();
            echo $errors->error_handler( 'sdk_rule', $e );
        }

        return $items;

    }

}