<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
get_header();
$item = $items;
$products = $item->Productos;
$server_id = sp_utilities::get_packers( $item->NroUnico, $item->NumeroD );
$status = sp_utilities::get_package_status( $item->NroUnico, $item->NumeroD );
?>
<div class="sp-package-view">
    <h1 class="sp-title"><?php _e( 'Detalle de empaque', 'saintpackages' );?></h1>

    <?php if( $status == 2 ) :?>
        <h2 class="bg-success text-success"><?php _e( 'Empaque finalizado', 'saintpackages' );?></h2>
    <?php else :?>
        <div class="sp-toolbar well well-sm">
            <?php if ( $status == 0 ) :?>
                <button type="button" class="btn btn-primary sp-assign-package" data-docnum="<?php echo $item->NumeroD;?>" data-uniqnum="<?php echo $item->NroUnico;?>">
                    <span class="dashicons dashicons-products"></span><?php _e( 'Procesar', 'saintpackages' );?>
                </button>
            <?php else :?>
                <button type="button" class="btn btn-primary sp-pack-item" data-docnum="<?php echo $item->NumeroD;?>" data-uniqnum="<?php echo $item->NroUnico;?>" data-serverid="<?php echo $server_id;?>">
                    <span class="dashicons dashicons-products"></span><?php _e( 'Finalizar', 'saintpackages' );?>
                </button>
            <?php endif;?>
            <a class="btn btn-primary sp-btn" target="_blank" href="<?php echo esc_url( add_query_arg( [
                'sp_view' => 'sp_package',
                'sp_format' => 'pdf',
                'sp_item' => $item->NroUnico
            ] ) );?>">
                <span class="dashicons dashicons-admin-page"></span><?php _e( 'Imprimir', 'saintpackages' );?>
            </a>
            <a href="#" class="btn btn-primary generate-qr" data-qr="<?php echo $item->NroUnico;?>">
                <span class="dashicons dashicons-format-image"></span> <?php _e( 'QR', 'saintpackages' );?>
            </a>
        </div>
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th>
                    <?php _e( 'Número', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Fecha entrega', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Emisión', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Cliente', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Codigo Empaque', 'saintpackages' );?>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>
                    <?php echo $item->NumeroD;?>
                </td>
                <td>
                    <?php
                    $date = new DateTime( $item->FechaEntrega );
                    echo $date->format('Y-m-d');
                    ?>
                </td>
                <td>
                    <?php
                    $date = new DateTime( $item->FechaE );
                    echo $date->format('Y-m-d');
                    ?>
                </td>
                <td>
                    <?php echo $item->CodClie;?>
                </td>
                <td>
                    <?php echo $item->NroUnico;?>
                </td>
            </tr>
            </tbody>
        </table>

        <h2 class="sp-sub-title"><?php _e( 'Productos del empaque', 'saintpackages' );?></h2>
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th>
                    <?php _e( 'Número', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Descripción', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Cantidad', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Precio', 'saintpackages' );?>
                </th>
            </tr>
            </thead>
            <tbody>
            <?php if ( !empty( $products ) ) :?>
                <?php foreach ( $products as $product ) :?>
                    <tr>
                        <td>
                            <?php echo $product->NroLinea;?>
                        </td>
                        <td>
                            <?php echo $product->Descrip1;?>
                        </td>
                        <td>
                            <?php echo $product->Cantidad;?>
                        </td>
                        <td>
                            <?php echo $product->Precio;?>
                        </td>
                    </tr>
                <?php endforeach;?>
            <?php endif;?>
            </tbody>
        </table>
    <?php endif;?>

</div>
<?php get_footer();?>