<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
$item = $items;
$products = $item->Productos;
use Dompdf\Dompdf;
ob_start();
?>
<!DOCTYPE html>
<html>
    <head>
        <title><?php _e( 'Detalle de empaque', 'saintpackages' );?></title>
        <link rel='stylesheet' href='<?php echo SAINT_PACKAGES_URL . 'assets/libs/bootstrap-3.3.6/css/bootstrap.min.css';?>' type='text/css'/>
        <link rel='stylesheet' href='<?php echo SAINT_PACKAGES_URL . 'assets/css/sp_site_styles.css';?>' type='text/css'/>
    </head>
    <body>
        <div class="sp-package-view">
            <h1 class="page-header sp-title"><?php _e( 'Detalle del empaque', 'saintpackages' );?></h1>
            <table class="table table-striped">
                <thead>
                <tr>
                    <th>
                        <?php _e( 'Número', 'saintpackages' );?>
                    </th>
                    <th>
                        <?php _e( 'Emisión', 'saintpackages' );?>
                    </th>
                    <th>
                        <?php _e( 'Cliente', 'saintpackages' );?>
                    </th>
                    <th>
                        <?php _e( 'Codigo empaque', 'saintpackages' );?>
                    </th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>
                        <?php echo $item->NumeroD;?>
                    </td>
                    <td>
                        <?php
                        $date = new DateTime( $item->FechaE );
                        echo $date->format('Y-m-d');
                        ?>
                    </td>
                    <td>
                        <?php echo $item->CodClie;?>
                    </td>
                    <td>
                       <?php echo $item->NroUnico;?>
                    </td>
                </tr>
                </tbody>
            </table>

            <h2 class="sp-sub-title"><?php _e( 'Productos del empaque', 'saintpackages' );?></h2>
            <table class="table table-striped">
                <thead>
                <tr>
                    <th>
                        <?php _e( 'Número', 'saintpackages' );?>
                    </th>
                    <th>
                        <?php _e( 'Descripción', 'saintpackages' );?>
                    </th>
                    <th>
                        <?php _e( 'Cantidad', 'saintpackages' );?>
                    </th>
                    <th>
                        <?php _e( 'Precio', 'saintpackages' );?>
                    </th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ( $products as $product ) :?>
                    <tr>
                        <td>
                            <?php echo $product->NroLinea;?>
                        </td>
                        <td>
                            <?php echo $product->Descrip1;?>
                        </td>
                        <td>
                            <?php echo $product->Cantidad;?>
                        </td>
                        <td>
                            <?php echo $product->Precio;?>
                        </td>
                    </tr>
                <?php endforeach;?>
                </tbody>
            </table>
        </div>
    </body>
</html>
<?php
$html = ob_get_clean();
// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->loadHtml( $html );

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('A4', 'landscape');

// Render the HTML as PDF
$dompdf->render();

// Output the generated PDF to Browser
$dompdf->stream( "package.pdf", [ "Attachment" => false ] );

exit(0);