<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
$rows = $items[0]->totalrows;
?>
<div class="sp-packages-view">
    <div class="sp-toolbar">
        <div class="form-inline">
            <div class="form-group">
                <label for="#sp-filter-option">
                    <?php _e( 'Filtrar por:', 'saintpackages' );?>
                </label>
                <select class="form-control" id="sp-filter-option">
                    <option value=""><?php _e( '--Selecione un opción--', 'saintpackages' );?></option>
                    <option value="1"><?php _e( 'Rango de fecha', 'saintpackages' );?></option>
                    <option value="2"><?php _e( 'Codigo cliente', 'saintpackages' );?></option>
                    <option value="3"><?php _e( 'Número documento', 'saintpackages' );?></option>
                </select>
            </div>
            <div class="form-group sp-calendar-container sp-hide" style="display: none">
                <label for="#sp-init-date">
                    <?php _e( 'Fecha inicial', 'saintpackages' );?>
                </label>
                <div class="input-group">
                    <input type="text" class="form-control sp-calendar" id="sp-init-date">
                </div>
            </div>
            <div class="form-group sp-calendar-container sp-hide" style="display: none">
                <label for="#sp-final-date">
                    <?php _e( 'Fecha final', 'saintpackages' );?>
                </label>
                <div class="input-group">
                    <input type="text" class="form-control sp-calendar" id="sp-final-date">
                </div>
            </div>
            <div class="form-group sp-client-code-container sp-hide" style="display: none">
                <label for="#sp-filter-client-code">
                    <?php _e( 'Codigo cliente', 'saintpackages' );?>
                </label>
                <input type="text" class="form-control" id="sp-filter-client-code">
            </div>
            <div class="form-group sp-doc-num-container sp-hide" style="display: none">
                <label for="#sp-filter-doc-num">
                    <?php _e( 'Número documento', 'saintpackages' );?>
                </label>
                <input type="text" class="form-control" id="sp-filter-doc-num">
            </div>
            <div class="form-group">
                <div class="input-group no-label">
                    <button class="btn btn-primary sp-filter" type="button">
                        <?php _e( 'Buscar', 'saintpackages' );?>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="result-target">
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th>
                    <?php _e( 'Número Documento', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Emisión', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Cliente', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Codigo Empaque', 'saintpackages' );?>
                </th>
                <th>
                    <?php _e( 'Operaciones', 'saintpackages' );?>
                </th>
            </tr>
            </thead>
            <tbody class="packages-container">
            <?php if ( !empty( $items ) ) :?>
                <?php foreach ( $items as $item ) :?>
<!--                    --><?php //$withdrawal_code = sp_utilities::get_withdrawal_code( $item->NumeroUnico, $item->Numero );?>
                    <tr>
                        <td>
                            <?php echo $item->Numero;?>
                        </td>
                        <td>
                            <?php
                            $date = new DateTime( $item->FechaEmision );
                            echo $date->format('Y-m-d');
                            ?>
                        </td>
                        <td>
                            <?php echo $item->CodigoCliente;?>
                        </td>
                        <td>
                            <?php echo $item->NumeroUnico;?>
                        </td>
                        <td class="actions">
                            <div class="btn-group" role="group" aria-label="actions">
                                <a class="btn btn-primary" href="<?php echo esc_url( add_query_arg( [
                                    'sp_view' => 'sp_package',
                                    'sp_item' => $item->NumeroUnico
                                ] ) );?>" title="<?php _e( 'Visualizar empaque', 'saintpackages' );?>">
                                    <span class="dashicons dashicons-visibility"></span>
                                </a>
                                <a class="btn btn-primary" target="_blank" href="<?php echo esc_url( add_query_arg( [
                                    'sp_view' => 'sp_package',
                                    'sp_format' => 'pdf',
                                    'sp_item' => $item->NumeroUnico
                                ] ) );?>" title="<?php _e( 'Imprimir', 'saintpackages' );?>">
                                    <span class="dashicons dashicons-admin-page"></span>
                                </a>
                                <a href="#" class="btn btn-primary generate-qr" data-qr="<?php echo $item->NumeroUnico;?>" title="<?php _e( 'Codigo QR', 'saintpackages' );?>">
                                    <span class="dashicons dashicons-format-image"></span>
                                </a>
                            </div>

                        </td>
                    </tr>
                <?php endforeach;?>
            <?php endif;?>
            </tbody>
        </table>
        <div class="pagination-container">
            <?php echo sp_utilities::get_pagination( $rows );?>
        </div>
    </div>
    <?php if ( empty( $items ) ) :?>
        <div class="sp-message" role="alert">
            <p><strong><?php _e( 'No se existen productos para el empaque', 'saintpackages' );?></strong></p>
        </div>
    <?php endif;?>
</div>